org.cpsolver.coursett

## Class DomainChart

- java.lang.Object
- - org.cpsolver.coursett.DomainChart

- Direct Known Subclasses:
    JenrlChart

      public class DomainChart
      extends Object

  Create domain chart of the given input problem as CSV file (3 dimensions: #rooms, #times, #variables with the given number of rooms/times)
  Version:
    CourseTT 1.3 (University Course Timetabling)
    Copyright (C) 2007 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Assignment<Lecture,Placement>` | `iAssignment`
    `protected String[]` | `iHeader`
    `protected TimetableModel` | `iModel`
    `protected String` | `iName`
    `protected boolean` | `iShowZero`
    `protected int` | `iSizeX`
    `protected int` | `iSizeY`
    `protected double[][]` | `iTable`
    `protected String[]` | `iTitle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomainChart(File xmlFile, int sizeX, int sizeY)`
    `DomainChart(String name, TimetableModel model, int sizeX, int sizeY)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `add(int x, int y, double val)`
    `protected void` | `clearTable()`
    `protected void` | `computeTable()`
    `CSVFile` | `createTable()`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iSizeX

          protected int iSizeX

    - #### iSizeY

          protected int iSizeY

    - #### iModel

          protected TimetableModel iModel

    - #### iAssignment

          protected Assignment<Lecture,Placement> iAssignment

    - #### iTable

          protected double[][] iTable

    - #### iShowZero

          protected boolean iShowZero

    - #### iName

          protected String iName

    - #### iHeader

          protected String[] iHeader

    - #### iTitle

          protected String[] iTitle

  - ### Constructor Detail

    - #### DomainChart

          public DomainChart(String name,
                             TimetableModel model,
                             int sizeX,
                             int sizeY)

    - #### DomainChart

          public DomainChart(File xmlFile,
                             int sizeX,
                             int sizeY)
                      throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### clearTable

          protected void clearTable()

    - #### add

          protected void add(int x,
                             int y,
                             double val)

    - #### computeTable

          protected void computeTable()

    - #### createTable

          public CSVFile createTable()

    - #### main

          public static void main(String[] args)